Summary: Tool calculating information related to grid job scheduling
Name: dynsched-generic
Version: %{extversion}
Release: %{extage}.%{extdist}
License: Apache Software License
Vendor: EMI
URL: http://glite.cern.ch/
Group: Applications/Internet
BuildArch: noarch
#BuildRequires: 
Requires: lrms-python-generic
Obsoletes: lcg-info-dynamic-scheduler-generic
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
AutoReqProv: yes
Source: %{name}-%{version}-%{release}.tar.gz


%if ! (0%{?fedora} > 12 || 0%{?rhel} > 5)
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}
%endif

%description
This is a program that calculates information related to scheduling
grid jobs at a grid site.  The program takes information (provided in a
site-agnostic format) about the current state of the LRMS and scheduler.
Output is in a format compatible with the GIP of gLite.

%prep


%setup -c -q

%build
%{!?extbuilddir:%define extbuilddir "--"}
if test "x%{extbuilddir}" == "x--" ; then
  printf "[global]
pkgversion=%{version}" > setup.cfg
fi

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}
%{!?extbuilddir:%define extbuilddir "--"}
if test "x%{extbuilddir}" == "x--" ; then
  python setup.py install -O1 --prefix %{buildroot}/usr --install-data %{buildroot}
else
  cp -pR %{extbuilddir}/* %{buildroot}
fi

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%dir /usr/share/doc/%{name}-%{version}/
/usr/share/doc/%{name}-%{version}/RELEASE
/usr/share/doc/%{name}-%{version}/lcg-info-dynamic-scheduler-wrapper
/usr/share/doc/%{name}-%{version}/lcg-info-dynamic-scheduler.txt
/usr/share/doc/%{name}-%{version}/lcg-info-static-example.ldif
/usr/share/doc/%{name}-%{version}/lrm-backend-output.example
/usr/share/doc/%{name}-%{version}/lrmsinfo-generic.txt
/usr/share/doc/%{name}-%{version}/scheduler-dynamic-example.conf
/usr/share/doc/%{name}-%{version}/scheduler-static-example.conf
/usr/share/doc/%{name}-%{version}/vo-max-slot.example
/usr/share/doc/%{name}-%{version}/vomaxjobs-generic.txt
/usr/libexec/lcg-info-dynamic-scheduler
%{python_sitelib}/*.py
%{python_sitelib}/*.pyc
%{python_sitelib}/*.pyo
%if %{extdist} == "sl6"
%{python_sitelib}/*.egg-info
%endif


%changelog
* %(date +"%%a %%b %%d %%Y") CREAM group <cream-support@lists.infn.it> - %{version}-%{release}
- %{extclog}


